ch.qos.logback.classic.html

## Class DefaultThrowableRenderer

- java.lang.Object
- - ch.qos.logback.classic.html.DefaultThrowableRenderer

All Implemented Interfaces:
  IThrowableRenderer<ILoggingEvent>

    public class DefaultThrowableRenderer
    extends java.lang.Object
    implements IThrowableRenderer<ILoggingEvent>

### Constructor Summary

Constructors
Constructor and Description
`DefaultThrowableRenderer()`

### Method Summary

Methods
`void` `printFirstLine(java.lang.StringBuilder sb, IThrowableProxy tp)`
`void` `render(java.lang.StringBuilder sbuf, ILoggingEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultThrowableRenderer

    public DefaultThrowableRenderer()

### Method Detail

#### render

    public void render(java.lang.StringBuilder sbuf,
              ILoggingEvent event)

Specified by:
  `render` in interface `IThrowableRenderer<ILoggingEvent>`

#### printFirstLine

    public void printFirstLine(java.lang.StringBuilder sb,
                      IThrowableProxy tp)